Package org.xnio.http

# Class UpgradeFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.xnio.http.UpgradeFailedException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConnectionClosedEarlyException`

public class UpgradeFailedException extends IOException
Exception that is thrown when a valid HTTP response is received that is not an upgrade or redirect response.

Author:
  Stuart Douglas
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UpgradeFailedException()`
Constructs a new `UpgradeFailedException` instance.
`UpgradeFailedException(String msg)`
Constructs a new `UpgradeFailedException` instance with an initial message.
`UpgradeFailedException(String msg, Throwable cause)`
Constructs a new `UpgradeFailedException` instance with an initial message and cause.
`UpgradeFailedException(Throwable cause)`
Constructs a new `UpgradeFailedException` instance with an initial cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UpgradeFailedException

public UpgradeFailedException()
Constructs a new `UpgradeFailedException` instance. The message is left blank (`null`), and no cause is specified.

### UpgradeFailedException

public UpgradeFailedException(String msg)
Constructs a new `UpgradeFailedException` instance with an initial message. No cause is specified.

Parameters:
  `msg` - the message

### UpgradeFailedException

public UpgradeFailedException(Throwable cause)
Constructs a new `UpgradeFailedException` instance with an initial cause. If a non-`null` cause is specified, its message is used to initialize the message of this `UpgradeFailedException`; otherwise the message is left blank (`null`).

Parameters:
  `cause` - the cause

### UpgradeFailedException

public UpgradeFailedException(String msg, Throwable cause)
Constructs a new `UpgradeFailedException` instance with an initial message and cause.

Parameters:
  `msg` - the message
  `cause` - the cause